// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: resourcemodule/resourcemodule.proto

package openfmb.resourcemodule;

public interface BooleanControlGGIOOrBuilder extends
    // @@protoc_insertion_point(interface_extends:resourcemodule.BooleanControlGGIO)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNode logicalNode = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNode field is set.
   */
  boolean hasLogicalNode();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNode logicalNode = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNode.
   */
  openfmb.commonmodule.LogicalNode getLogicalNode();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNode logicalNode = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.LogicalNodeOrBuilder getLogicalNodeOrBuilder();

  /**
   * <pre>
   * Phase code
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseCodeKind Phase = 2;</code>
   * @return Whether the phase field is set.
   */
  boolean hasPhase();
  /**
   * <pre>
   * Phase code
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseCodeKind Phase = 2;</code>
   * @return The phase.
   */
  openfmb.commonmodule.Optional_PhaseCodeKind getPhase();
  /**
   * <pre>
   * Phase code
   * </pre>
   *
   * <code>.commonmodule.Optional_PhaseCodeKind Phase = 2;</code>
   */
  openfmb.commonmodule.Optional_PhaseCodeKindOrBuilder getPhaseOrBuilder();

  /**
   * <pre>
   * (controllable) If true, generic single point controllable status output &lt;i&gt;n&lt;/i&gt; has been
   * enabled, otherwise it has been disabled.
   * </pre>
   *
   * <code>.commonmodule.ControlSPC SPCSO = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the sPCSO field is set.
   */
  boolean hasSPCSO();
  /**
   * <pre>
   * (controllable) If true, generic single point controllable status output &lt;i&gt;n&lt;/i&gt; has been
   * enabled, otherwise it has been disabled.
   * </pre>
   *
   * <code>.commonmodule.ControlSPC SPCSO = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The sPCSO.
   */
  openfmb.commonmodule.ControlSPC getSPCSO();
  /**
   * <pre>
   * (controllable) If true, generic single point controllable status output &lt;i&gt;n&lt;/i&gt; has been
   * enabled, otherwise it has been disabled.
   * </pre>
   *
   * <code>.commonmodule.ControlSPC SPCSO = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getSPCSOOrBuilder();
}
